cd ~/RPM-2.4.20-alt11-pom/SPECS/
diff -ruN /home/xmm/RPM-2.4.20-alt11-pom/SPECS/kernel24.spec-old /home/xmm/RPM-2.4.20-alt11-pom/SPECS/kernel24.spec
--- /home/xmm/RPM-2.4.20-alt11-pom/SPECS/kernel24.spec-old	2004-01-03 21:17:50 +0300
+++ /home/xmm/RPM-2.4.20-alt11-pom/SPECS/kernel24.spec	2004-02-19 23:59:25 +0300
@@ -2,7 +2,7 @@
 # Define what kernels to be built
 #
 
-%define BUILD_CUSTOM 0
+%define BUILD_CUSTOM 1
 %define BUILD_BOOT 0
 # BOOT kernel only can be built for i386 arch
 
@@ -14,8 +14,8 @@
 %define BUILD_RSBAC_UP 0
 # RSBAC kernels now aren't avaiable so don't try to build them
 
-%define BUILD_SMP 1
-%define BUILD_UP 1
+%define BUILD_SMP 0
+%define BUILD_UP 0
 # Normal kernels
 
 %define BUILD_LINUS 0
@@ -41,7 +41,7 @@
 #
 
 # Name of the custom kernel - it's "custom" by default
-%define CUSTOM custom
+%define CUSTOM pom
 
 #
 # Define what additional drivers to be built
@@ -55,30 +55,34 @@
 %define BUILD_DRM_GAMMA 0
 
 # Define it to build new alsa drivers (0.9.x)
-%define BUILD_ALSA 1
+%define BUILD_ALSA 0
 
 # Define what alsa modules to build (all by default)
-%define ALSA_MODULES all
+#%define ALSA_MODULES all
 
 # Define it to build closed-source drivers
-%define BUILD_NVIDIA 1
+%define BUILD_NVIDIA 0
 
 # Define it to build saa7134 philips tuner driver keep in mind that
 # v4l 2.0 support will also enabled
 %define BUILD_SAA7134 0
 
 # Define it to build hsflinmoded drivers
-%define BUILD_HSF 1
+%define BUILD_HSF 0
 
 # Define it to build slmdm drivers
-%define BUILD_SLMDM 1
+%define BUILD_SLMDM 0
 
 # Define it to build hpt drivers
 %define BUILD_HPT 1
 
 # Define it to build ATI Radeon drivers
 # Note that currently it does'nt work
-%define BUILD_ATI 1
+%define BUILD_ATI 0
+
+# Define it to apply iptables patch-o-matic patches. Keep in
+# mind that you can compile only custom kernel with this option
+%define APPLY_PATCH_O_MATIC 1
 
 # Define it to apply rsbac patches. Keep in
 # mind that you can compile only custom kernel with this option
@@ -115,7 +119,7 @@
 
 Name: kernel24
 Version: %kversion
-Release: alt11
+Release: alt11xmm4
 Packager: Linux Kernel Development Team <kernel@packages.altlinux.org>
 
 %define prever 2.4.20
@@ -178,6 +182,8 @@
 %define hptversion v13
 %define ativer 2.5.1
 %define lircver 0.6.6
+%define pomver 20030107
+#20031219
 
 Summary: The Linux kernel (the core of the Linux operating system)
 License: GPL
@@ -261,6 +267,7 @@
 Source67: dc395-%dc395ver.tar.bz2
 Source68: riptide-%riptidever.tar.bz2
 Source69: hcfpcimodem-%hcfpcimodemver.tar.bz2
+Source70: patch-o-matic-%pomver.tar.bz2
 Source71: linux_logo_lpp.h.bz2
 Source72: linux_logo_nolpp.h.bz2
 # http://www.webit.at/~twinny/linuxsis630.shtml
@@ -636,7 +643,9 @@
 Patch4201: linux-2.4.20-rc4-ipvs-ksyms_c.patch
 
 # possible DoS in netfilter fix
+Patch4209: netfilter-2.4.20-patch-o-matic-post-fix.patch
 Patch4210: netfilter-2.4.20-possible-dos-fix.patch
+Patch4211: netfilter-2.4.20-patch-o-matic-post-fix-back.patch
 
 ###
 # New drivers
@@ -910,6 +919,7 @@
 %description %CUSTOM
 This package includes a custom version of the Linux %kversion kernel
 designed for %CUSTOM box.
+Patch-o-matic's base extentions added to netfilter&
 
 %package -n hsflinmodem_kernel-%CUSTOM
 Summary: hsflinmodem kernel modules for Conexant Soft Modems support
@@ -1390,7 +1400,7 @@
 %if %BUILD_LINUS
 %setup -q -n linux-%srcversion -a45
 %else #BUILD_LINUS
-%setup -q -n linux-%srcversion -a1 -a6 -a7 -a9 -a11 -a17 -a18 -a19 -a12 -a16 -a45 -a46 -a50 -a54 -a57 -a60 -a61 -a63 -a65 -a66 -a67 -a68 -a69 -a75 -a77 -a83 -a84
+%setup -q -n linux-%srcversion -a1 -a6 -a7 -a9 -a11 -a17 -a18 -a19 -a12 -a16 -a45 -a46 -a50 -a54 -a57 -a60 -a61 -a63 -a65 -a66 -a67 -a68 -a69 -a70 -a75 -a77 -a83 -a84
 
 # For patches.
 ln -nsf pcmcia-cs-%pcmciaver pcmcia
@@ -1788,6 +1798,27 @@
 popd
 cp -f drivers/video/sis/sisfb.h include/linux
 
+%if %APPLY_PATCH_O_MATIC
+
+# Install iptables patch-o-matic patches
+pushd patch-o-matic-%pomver
+#    KERNEL_DIR=$RPM_BUILD_DIR/linux-%kversion ./runme --batch --exclude pending/01_ip_conntrack_proto_tcp-lockfix.patch base
+    KERNEL_DIR=$RPM_BUILD_DIR/linux-%kversion ./runme --batch base
+#    KERNEL_DIR=$RPM_BUILD_DIR/linux-%kversion ./runme --batch base/quota.patch
+# Some hack
+#    KERNEL_DIR=$RPM_BUILD_DIR/linux-%kversion ./runme ./extra/helper.patch
+popd
+# Fix Makefile export-objs
+#%patch383 -p1
+#%patch653 -p1
+#Fix ipchains
+#%patch371 -p1
+#Fix declare_lock in smp kernels
+#%patch657 -p1
+#Fix include file
+#%patch631 -p1
+%endif
+
 #Fix eepro100 ethernet driver for vlan
 %patch1240 -p1
 
@@ -1839,7 +1870,13 @@
 %endif #BUILD_LINUS
 
 # security fixes
+%if %APPLY_PATCH_O_MATIC
+%patch4209 -p1
+%endif
 %patch4210 -p1
+%if %APPLY_PATCH_O_MATIC
+%patch4211 -p1
+%endif
 
 
 # get rid of unwanted files

Diff finished at Wed Mar  3 22:52:00
